$!++
$! SETUP.COM -- Uwe Zessin
$!
$! define some symbols and logical names
$!--
$! ----------------------------------------------------------------------------
$!
$ if (F$TRNLNM("PYTHON_VMS") .eqs. "")
$ then
$   ! need to call PYTHON_LOGICALS.COM
$   _PRC = F$ENVIRONMENT ("PROCEDURE")
$   _DEV = F$PARSE(_PRC,,,"DEVICE")
$   _DIR = F$PARSE(_PRC,,,"DIRECTORY")
$   _FIL = _DEV + _DIR + "PYTHON_LOGICALS.COM"
$   if (F$SEARCH(_FIL) .eqs. "")
$   then
$	write SYS$ERROR "%SETUP-F-NOLNM, missing PYTHON_* logical names"
$	write SYS$ERROR "-SETUP-F-NOSUCHFIL, missing file"
$	write SYS$ERROR " \''_FIL'\"
$       exit %X2C
$   else
$	write SYS$ERROR "%SETUP-W-NOLNM, missing PYTHON_* logical names"
$	write SYS$ERROR "%SETUP-I-PRYPROC, trying to call procedure"
$	write SYS$ERROR " \''_FIL'\"
$	on WARNING then $ exit
$	@ '_FIL'
$	set noON
$   endif
$ endif
$! ----------------------------------------------------------------------------
$ define /noLOG PYTHON_CFG_CXX     1		! compile main with CXX
$ define /noLOG PYTHON_CFG_CXX     0		! compile main with C
$!
$ define /noLOG PYTHON_CFG_DEBUG   1		! compile /DEBUG
$ define /noLOG PYTHON_CFG_DEBUG   0		! compile /noDEBUG
$!
$ define /noLOG PYTHON_CFG_ENVIRONMENT POSIX
$ define /noLOG PYTHON_CFG_ENVIRONMENT DCL
$!
$ define /noLOG PYTHON_CFG_THREADS 1		! threads support
$ define /noLOG PYTHON_CFG_THREADS 0		! no threads support
$! ----------------------------------------
$!+
$! @@+@@ this is work-in progress - ignore this for now
$!@@ see the 'General Manual', chapter 'Environment', 'timezone support'
$!@@   it explains how to define this logical name correctly for your location
$!-
$ define /noLOG PYTHON_TIMEZONE_INFO -
  "MET|3600|MET DST|7200|1|86=02:00|303=03:00|"
$! ----------------------------------------------------------------------------
$ _CFG_TXT = ""
$! ----------------------------------------
$ if (F$TRNLNM("PYTHON_CFG_CXX"))
$ then
$   _CFG_TXT = _CFG_TXT + "CXX,"
$ else
$   _CFG_TXT = _CFG_TXT + "CC,"
$ endif
$! ----------------------------------------
$ if (F$TRNLNM("PYTHON_CFG_DEBUG"))
$ then
$   _CFG_TXT = _CFG_TXT + "DEBUG,"
$ else
$   _CFG_TXT = _CFG_TXT + "noDEBUG,"
$ endif
$! ----------------------------------------
$ if (F$TRNLNM("PYTHON_CFG_ENVIRONMENT") .eqs. "DCL")
$ then
$   _CFG_TXT     = _CFG_TXT + "ENV=DCL,"
$ else
$   if (F$TRNLNM("PYTHON_CFG_ENVIRONMENT") .eqs. "POSIX")
$   then
$	_CFG_TXT = _CFG_TXT + "ENV=POSIX,"
$   else
$	write SYS$ERROR "%SETUP-F-LNMBADVAL, bad value for LNM:PYTHON_CFG_ENVIRONMENT"
$	write SYS$ERROR " change SETUP.COM to use DCL or POSIX"
$	exit %X2C
$   endif
$ endif
$! ----------------------------------------
$ if (F$TRNLNM("PYTHON_CFG_THREADS"))
$ then
$   _CFG_TXT = _CFG_TXT + "THREADS"
$ else
$   _CFG_TXT = _CFG_TXT + "noTHREADS"
$ endif
$ write SYS$ERROR "%SETUP-I-CFGINFO, configuration for: ", _CFG_TXT
$! ----------------------------------------
$ delete /symbol /local _CFG_TXT
$! ----------------------------------------------------------------------------
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$ _SETUP_DEVDIR = _DEVICE + _DIRECTORY
$!
$! ----------------------------------------------------------------------------
$ set DEFAULT '_SETUP_DEVDIR'		! = [.VMS]
$ set DEFAULT [-.LIB]
$ _LIB = F$ENVIRONMENT("DEFAULT")
$ set DEFAULT [-]
$ _ROOT = F$ENVIRONMENT("DEFAULT")
$ set DEFAULT '_DEFAULT'
$ _DEVICE    = F$PARSE(_ROOT,,,"DEVICE") - ":"
$ _DIRECTORY = F$PARSE(_ROOT,,,"DIRECTORY") - "[" - "]"
$ _I = 0
$ _D = ""
$LOOP:
$ _E = F$ELEMENT(_I,".",_DIRECTORY)
$ if (_E .nes. ".")
$ then
$   _D = _D + "/" + _E
$   _I = _I + 1
$ goto LOOP
$ endif
$! ----------------------------------------------------------------------------
$ if (F$GETSYI("CPU") .GT. 127)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$! ----------------------------------------------------------------------------
$! PYTHONHOME == "/"+ _DEVICE + _D + ":" +-		  ! = PREFIX
$!		 "/"+ _DEVICE + _D + "/VMS/EXEC-''_ARCH'" ! = EXEC_PREFIX
$!
$ _P ==		"/"+ _DEVICE + _D + "/LIB"			-
		+ ":/"+ _DEVICE + _D + "/VMS/TOOLS"		!
$!
$!		+ ":/"+ _DEVICE + _D + "/LIB/LIB-TK"		-
$! @@@		+ ":/"+ _DEVICE + _D + "/VMS/LIB/PLAT-VMS"	-
$!		+ ":/"+ _DEVICE + _D + "/VMS/LIB/PLAT-''_ARCH'"	!
$!
$ PYTHONPATH == F$EDIT(_P,"LOWERCASE")
$!
$! ----------------------------------------------------------------------------
$ PYTHONSTARTUP    == _SETUP_DEVDIR + "pythonstartup.py"
$ PYTHON           == "$" + _SETUP_DEVDIR + "PYTHON_''_ARCH'"
$ PYTHONUNBUFFERED == "1"
$! ----------------------------------------------------------------------------
$!+
$! create temporary directory and assign logical names
$!-
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ set DEFAULT SYS$SCRATCH:
$ set DEFAULT [.PYTHON_TMP]
$ if (F$SEARCH("[-]PYTHON_TMP.DIR") .eqs. "")
$ then
$   write SYS$OUTPUT "%SETUP-I-CRETMPDIR, creating temporary directory"
$   create /DIRECTORY /LOG /PROTECTION=(S:RWED,O:RWED) []
$   _EP = F$ENVIRONMENT("PROTECTION")
$   set PROTECTION=(S:RWED,O:RWED) /DEFAULT
$   _EPD = F$ENVIRONMENT("PROTECTION")
$   set FILE /ACL= -
    ( -
     (DEFAULT_PROTECTION,'_EPD') , -
     (IDENTIFIER=['F$FAO("!OW,!OW",F$GETJPI(0,"GRP"),F$GETJPI(0,"MEM") )'], -
                  ACCESS=READ+WRITE+EXECUTE+DELETE+CONTROL) -
    ) [-]PYTHON_TMP.DIR
$   set PROTECTION=('_EP') /DEFAULT
$ endif
$ define PYTHON_TMP1 /noLOG  "''F$ENVIRONMENT("DEFAULT")'"	! VMS format
$ @ PYTHON_TOOLS:PWD  "_PYTHON_TMP"
$ define PYTHON_TMP2 /noLOG  "''_PYTHON_TMP'"			! Unix format
$ delete /symbol /global _PYTHON_TMP
$ set DEFAULT '_DEFAULT'
$! ----------------------------------------------------------------------------
$!$BEGINCOMPONENTS
$!$ENDCOMPONENTS
$!
